//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: lcombo.h,v 1.1.1.1 2003/10/29 10:06:21 wschweer Exp $
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __LCOMBO_H__
#define __LCOMBO_H__

#include <qwidget.h>
#include <qcombobox.h>

class QString;
class QListBox;

//---------------------------------------------------------
//   LabelCombo
//---------------------------------------------------------

class LabelCombo : public QWidget {
      QComboBox* box;
      Q_OBJECT

   signals:
      void activated(int);

   public:
      LabelCombo(const QString& label, QWidget* parent,
         const char* name=0);
      void insertItem(const QString& txt, int index=-1);
      void setCurrentItem(int i) { box->setCurrentItem(i); }
      void setListBox(QListBox* lb) { box->setListBox(lb); }
      };

#endif
